package javalabs.lab4.first;

public class Truck extends Vehicle {
    public Truck(int mass, int velocity) {
        super(mass, velocity);
    }

    public void loadCargo(int mass) {
        _mass += mass;
        _velocity -= mass; // One kg of cargo makes Vehicle 1 km/h slower
    }
}
